net.sf.jasperreports.engine.util

## Class DelegatePropertiesHolder

- java.lang.Object
- - net.sf.jasperreports.engine.util.DelegatePropertiesHolder

- All Implemented Interfaces:
    JRPropertiesHolder

      public class DelegatePropertiesHolder
      extends java.lang.Object
      implements JRPropertiesHolder

  Version:
    $Id: DelegatePropertiesHolder.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatePropertiesHolder(JRPropertiesHolder propertiesHolder, JRPropertiesHolder parentProperties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `boolean` | `hasProperties()` Checks whether the object has any properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatePropertiesHolder

          public DelegatePropertiesHolder(JRPropertiesHolder propertiesHolder,
                                  JRPropertiesHolder parentProperties)

  - ### Method Detail

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com